"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Error = void 0;
var Error;
(function (Error) {
    Error[Error["FlowUnsupported"] = 0] = "FlowUnsupported";
    Error[Error["TypeScriptUnsupported"] = 1] = "TypeScriptUnsupported";
    Error[Error["ForbiddenSyntax"] = 2] = "ForbiddenSyntax";
    Error[Error["StatementDisallowed"] = 3] = "StatementDisallowed";
    Error[Error["ExpressionDisallowed"] = 4] = "ExpressionDisallowed";
    Error[Error["CannotDeclareWithVar"] = 5] = "CannotDeclareWithVar";
    Error[Error["ExperimentalSyntax"] = 6] = "ExperimentalSyntax";
    Error[Error["UnknownNodeType"] = 7] = "UnknownNodeType";
    Error[Error["UnimplementedJSX"] = 8] = "UnimplementedJSX";
    Error[Error["NotImplementedYet"] = 9] = "NotImplementedYet";
    Error[Error["Deprecated"] = 10] = "Deprecated";
    Error[Error["ScopeMismatch"] = 11] = "ScopeMismatch";
    /**
     * Module-related syntax are disallowed.
     */
    Error[Error["ModuleDisallowed"] = 12] = "ModuleDisallowed";
    Error[Error["MalformedNodes"] = 13] = "MalformedNodes";
})(Error = exports.Error || (exports.Error = {}));
