export declare function removeNullable<T>(x: T | null | undefined): x is T;
export declare type UncapitalizeNodeType<S extends string> = S extends `TS${infer T}` ? `ts${T}` : S extends `JSX${infer T}` ? `jsx${T}` : Uncapitalize<S>;
export declare function uncapitalize<S extends string>(s: S): UncapitalizeNodeType<S>;
