export declare enum Error {
    FlowUnsupported = 0,
    TypeScriptUnsupported = 1,
    ForbiddenSyntax = 2,
    StatementDisallowed = 3,
    ExpressionDisallowed = 4,
    CannotDeclareWithVar = 5,
    ExperimentalSyntax = 6,
    UnknownNodeType = 7,
    UnimplementedJSX = 8,
    NotImplementedYet = 9,
    Deprecated = 10,
    ScopeMismatch = 11,
    /**
     * Module-related syntax are disallowed.
     */
    ModuleDisallowed = 12,
    MalformedNodes = 13
}
